#!/usr/bin/python

import sys;


def empty_section() :
    retval = {};
    retval["sew"] = "";
    retval["C"] = "";
    retval["Ctilde"] = "";
    retval["G2"] = "";
    return retval;




inp = sys.stdin;
out = sys.stdout;

dat = inp.read();
dat = dat.strip();
dat = dat.split("\n");

blended = {};

for i in dat :
    i = i.strip();
    t = i.split(" ");
    m = t[0];
    m = m.split("/");
    row = {};
    key = "";
    if len(m) == 3 :
        # Hankel case with cut-off
        p = m[1];
        k = p.find("_") + 1;
        sew = p[k:];
        row["sew"] = sew;

        p = m[2];
        k = p.find("_") + 1;
        r_c = p[k:];
        row["r_c"] = r_c;

        row["binden"] = t[1];
        row["C"] = t[2];
        row["Ctilde"] = t[3];
        row["G2"] = t[4];

        key = "H" + row["r_c"];
    elif m[1] == "no-Coulomb" :
        # Hankel case without Coulomb at all
        row["r_c"] = "no-Coulomb";
        row["sew"] = "8.0";
        row["binden"] = t[1];
        row["C"] = t[2];
        row["Ctilde"] = t[3];
        row["G2"] = t[4];

        key = "H" + row["r_c"];
    elif m[1] == "full-Coulomb" :
        # Whittaker case with full (uncut) Coulomb
        row["r_c"] = "full-Coulomb";
        row["sew"] = "4.8";
        row["binden"] = t[1];
        row["C"] = t[2];
        row["Ctilde"] = t[3];
        row["G2"] = t[4];

        key = "W" + row["r_c"];
    else :
        # Whittaker case with cut-off
        p = m[1];
        k = p.find("_") + 1;
        r_c = p[k:];
        row["r_c"] = r_c;

        row["sew"] = "4.8";

        row["C"] = t[1];
        row["Ctilde"] = t[2];
        row["G2"] = t[3];

        key = "W" + row["r_c"];
    blended[key] = row;

# Data was structured
report = {};

cutoffs = [];
for i in blended.keys() :
    j = blended[i];
    k = j["r_c"]
    if k not in cutoffs :
        cutoffs.append(k);

    if "binden" in j.keys() :
        be = j["binden"];
        be = "%(n).3f" % {"n" : float(be)};
        blended[i]["binden"] = be;

cutoffs.sort();

for i in cutoffs :
    report[i] = {"binden": "??", "Hankel": empty_section(), \
                     "Whittaker": empty_section()};

# Generate report
for i in blended.keys() :
    row = {};
    j = blended[i];
    k = j["r_c"];

    if "binden" in j.keys() :
        be = j["binden"];
        report[k]["binden"] = be;

    title = "Whittaker";
    if i[0] == "H" :
        title = "Hankel";
    section = {};

    section["sew"] = j["sew"];
    section["C"] = "%(n).3f" % {"n" : float(j["C"])};
    section["Ctilde"] = "%(n).3f" % {"n" : float(j["Ctilde"])};
    section["G2"] = "%(n).3f" % {"n" : float(j["G2"])};

    report[k][title] = section;

# Output report
for i in cutoffs :
    j = report[i];
    tmpl = "{0} & {1} & {2[sew]} & {2[C]} & {2[Ctilde]} & {2[G2]} ";
    tmpl += "& {3[sew]} & {3[C]} & {3[Ctilde]} & {3[G2]} \\\\\n\\hline\n";
    s = tmpl.format(i, j["binden"], j["Hankel"], j["Whittaker"]);
    out.write(s);
