/*
 * schq_rms program to compute RMS using two-body wave-function
 * for bound state
 *
 * Copyright (c) 2010 Vasily Eremenko <vasily.eremenko@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *
 *
 * To compile this file using gcc you have to type
 * gcc -lgsl -lgslcblas -lconfig++ -llog4cpp \
 *  -o schq_rms schq_rms.cpp
 */

// **********************************************
# include <string>

namespace schq
{
  // *GLOBAL VARIABLE!!!*
  const std::string program_name = "schq_rms";
}

# include "schq_launcher_template.h"
# include "schq_bound_rms_manager.h"

namespace schq
{
  typedef Launcher_template<Bound_RMS_manager> Launcher;
}

# include "schq_mainfunction.h"
