/*
 * schq_bookworm.h
 * Define class Bookworm, the base class, implementing logging facility.
 *
 * Copyright (c) 2010 Vasily Eremenko <vasily.eremenko@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// **********************************************
#ifndef SCHQ_BOOKWORM_H
#define SCHQ_BOOKWORM_H

// **********************************************
# include <string>

# include <log4cpp/Category.hh>

// **********************************************
namespace schq
{
  class Bookworm
  {
  private:
    log4cpp::Category * log_p;

    // ****************************************************
  protected:
    log4cpp::Category & get_log() const
      {
	return (*log_p);
      }

    // ****************************************************
  public:
    /*
     * Constructor(s).
     */
    Bookworm(const log4cpp::Category & uplevel_log,
	     const std::string & log_name)
      {
	log_p = & uplevel_log.getInstance(uplevel_log.getName() + "." +
					  log_name);
      } // Bookworm()

    // ****************************************************
    /*
     * Destructor.
     */
    virtual ~Bookworm()
    {
      // Nothing to do. Object *log_p should be uninitialised
      // during global uninitialisation.
    } // ~Bookworm()
  }; // class Bookworm

  // **********************************************
} // namespace schq

// **********************************************
#endif // SCHQ_BOOKWORM_H

// **********************************************
// End of file.
// **********************************************
