/*
 * schq_prepare_cmd prepares command-line to run schq-related program
 *
 * Copyright (c) 2010 Vasily Eremenko <vasily.eremenko@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *
 *
 * To compile this file using gcc you have to type
 * c++ -o schq_prepare_cmd schq_prepare_cmd.cpp
 */

// **********************************************
# include <string>
# include <iostream>

namespace schq
{
  // *GLOBAL VARIABLE!!!*
  const std::string program_name = "schq_prepare_cmd";
}

int main(int argc, char** argv)
{
  int i;
  std::string cmd = "cat ";
  // First argument is the name of program and part of config name
  cmd += argv[1];
  cmd += ".conf ";
  for(i = 2; i < argc; i++)
    {
      cmd += argv[i];
      cmd += " ";
    }
  cmd += "| ";
  cmd += argv[1];
  cmd += " > ";
  cmd += argv[1];
  cmd += ".out";
  cmd += "\n";
  std::cout << cmd;
  return 0;
}
