/*
 * schq_receptionist.h
 * Define class Receptionist.
 *
 * Copyright (c) 2010 Vasily Eremenko <vasily.eremenko@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

// **********************************************
# include <cstdio>

# include <libconfig.h++>

// **********************************************
namespace schq
{
  class Receptionist
  {
  private:
    libconfig::Config * config_storage;

    // ****************************************************
  public:
    /*
     * Constructor(s).
     */
    Receptionist(const int argc, const char * argv[])
      {
	config_storage = new libconfig::Config();
	get_config().read(stdin);
      } // Receptionist()

    // ****************************************************
    /*
     * Destructor
     */
    ~Receptionist()
      {
	delete config_storage;
      }

    // ****************************************************
    libconfig::Config & get_config()
      {
	return *config_storage;
      } // get_config()
  }; // class Receptionist
} // schq
