/*
 * exception_catching tests
 * Launcher_template's ability to catch std::exception's derivatives
 * throwed at runner's constructor or at run().
 *
 * Copyright (c) 2010 Vasily Eremenko <vasily.eremenko@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *
 *
 * To compile this file using gcc you have to type
 * g++ -lgsl -lgslcblas -llibconfig++ -llog4cpp \
 *  -o exception_catching exception_catching.cpp
 */

// **********************************************
# include <string>

namespace schq
{
  // *GLOBAL VARIABLE!!!*
  const std::string program_name = "exception_catching";
}

# include "schq_launcher_template.h"
# include <sstream>

namespace schq
{
  class Simple_runner
  {
  public:
    Simple_runner(libconfig::Setting & root, log4cpp::Category & uplevel_log)
    {
      std::ostringstream msg;
      msg << __FILE__ << "(" << __LINE__ << "): ";
      msg << "Test exception from Simple_runner()";
      throw std::runtime_error(msg.str());
    }

    void run()
    {
    }

    void to_setting_as_children(libconfig::Setting & root)
    {
    }
  };

  typedef Launcher_template<Simple_runner> Launcher;
}

# include "schq_mainfunction.h"
