/*
 * schq_normalise program to normalise two-body wave-function
 * (now just for E > 0, i.e. continuum region).
 *
 * Copyright (c) 2010 Vasily Eremenko <vasily.eremenko@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *
 *
 * To compile this file using gcc you have to type
 * gcc -lgsl -lgslcblas -llibconfig++ -llog4cpp \
 *  -o schq_normalise schq_normalise.cpp
 */

// **********************************************
# include <string>

namespace schq
{
  // *GLOBAL VARIABLE!!!*
  const std::string program_name = "schq_normalise";
}

# include "schq_physical_system_template.h"
# include "schq_n_yukawa_c_sphere.h"

namespace schq
{
  typedef Physical_system_template<N_Yukawa_C_sphere>
  Physical_system;
}

# include "schq_launcher_template.h"
# include "schq_continuum_normaliser_manager.h"

namespace schq
{
  typedef Launcher_template<Continuum_normaliser_manager> Launcher;
}

# include "schq_mainfunction.h"
